libsecret-1-dev_0.18.4-1ubuntu2_amd64.deb


Advertisement

Description

libsecret-1-dev - Secret store (development files)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libsecret-1-dev_0.18.4-1ubuntu2_amd64.deb
Package name libsecret-1-dev
Package version 0.18.4
Package release 1ubuntu2
Package architecture amd64
Package type deb
Category libdevel
Homepage https://wiki.gnome.org/Projects/Libsecret
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 172.66 KB
Installed size 2.15 MB
Library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus.
This package contains the development files.

Alternatives

Package Version Architecture Repository
libsecret-1-dev_0.18.4-1ubuntu2_i386.deb 0.18.4 i386 Ubuntu Main
libsecret-1-dev - - -

Requires

Name Value
gir1.2-secret-1 = 0.18.4-1ubuntu2
libglib2.0-dev -
libsecret-1-0 = 0.18.4-1ubuntu2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libsecret-1-dev_0.18.4-1ubuntu2_amd64.deb
Source Package libsecret

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsecret-1-dev deb package:
    # sudo apt-get install libsecret-1-dev

Files

Path
/usr/include/libsecret-1/libsecret/secret-attributes.h
/usr/include/libsecret-1/libsecret/secret-collection.h
/usr/include/libsecret-1/libsecret/secret-enum-types.h
/usr/include/libsecret-1/libsecret/secret-item.h
/usr/include/libsecret-1/libsecret/secret-password.h
/usr/include/libsecret-1/libsecret/secret-paths.h
/usr/include/libsecret-1/libsecret/secret-prompt.h
/usr/include/libsecret-1/libsecret/secret-schema.h
/usr/include/libsecret-1/libsecret/secret-schemas.h
/usr/include/libsecret-1/libsecret/secret-service.h
/usr/include/libsecret-1/libsecret/secret-types.h
/usr/include/libsecret-1/libsecret/secret-value.h
/usr/include/libsecret-1/libsecret/secret.h
/usr/lib/x86_64-linux-gnu/libsecret-1.a
/usr/lib/x86_64-linux-gnu/libsecret-1.so
/usr/lib/x86_64-linux-gnu/pkgconfig/libsecret-1.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/libsecret-unstable.pc
/usr/share/doc/libsecret-1-dev/changelog.Debian.gz
/usr/share/doc/libsecret-1-dev/copyright
/usr/share/gir-1.0/Secret-1.gir
/usr/share/gtk-doc/html/libsecret-1/SecretCollection.html
/usr/share/gtk-doc/html/libsecret-1/SecretItem.html
/usr/share/gtk-doc/html/libsecret-1/SecretPrompt.html
/usr/share/gtk-doc/html/libsecret-1/SecretService.html
/usr/share/gtk-doc/html/libsecret-1/SecretValue.html
/usr/share/gtk-doc/html/libsecret-1/annotation-glossary.html
/usr/share/gtk-doc/html/libsecret-1/c-examples.html
/usr/share/gtk-doc/html/libsecret-1/c-lookup-example.html
/usr/share/gtk-doc/html/libsecret-1/c-remove-example.html
/usr/share/gtk-doc/html/libsecret-1/c-store-example.html
/usr/share/gtk-doc/html/libsecret-1/complete.html
/usr/share/gtk-doc/html/libsecret-1/examples.html
/usr/share/gtk-doc/html/libsecret-1/home.png
/usr/share/gtk-doc/html/libsecret-1/index.html
/usr/share/gtk-doc/html/libsecret-1/index.sgml
/usr/share/gtk-doc/html/libsecret-1/js-examples.html
/usr/share/gtk-doc/html/libsecret-1/js-lookup-example.html
/usr/share/gtk-doc/html/libsecret-1/js-remove-example.html
/usr/share/gtk-doc/html/libsecret-1/js-store-example.html
/usr/share/gtk-doc/html/libsecret-1/left-insensitive.png
/usr/share/gtk-doc/html/libsecret-1/left.png
/usr/share/gtk-doc/html/libsecret-1/libsecret-1.devhelp2
/usr/share/gtk-doc/html/libsecret-1/libsecret-DBus-Path-Related-Functions.html
/usr/share/gtk-doc/html/libsecret-1/libsecret-Password-storage.html
/usr/share/gtk-doc/html/libsecret-1/libsecret-Secret-Attributes.html
/usr/share/gtk-doc/html/libsecret-1/libsecret-SecretError.html
/usr/share/gtk-doc/html/libsecret-1/libsecret-SecretSchema.html
/usr/share/gtk-doc/html/libsecret-1/migrating-api.html
/usr/share/gtk-doc/html/libsecret-1/migrating-introduction.html
/usr/share/gtk-doc/html/libsecret-1/migrating-items.html
/usr/share/gtk-doc/html/libsecret-1/migrating-keyrings.html
/usr/share/gtk-doc/html/libsecret-1/migrating-locking.html
/usr/share/gtk-doc/html/libsecret-1/migrating-memory.html
/usr/share/gtk-doc/html/libsecret-1/migrating-misc.html
/usr/share/gtk-doc/html/libsecret-1/migrating-removing.html
/usr/share/gtk-doc/html/libsecret-1/migrating-schemas.html
/usr/share/gtk-doc/html/libsecret-1/migrating-searching.html
/usr/share/gtk-doc/html/libsecret-1/migrating-storing.html
/usr/share/gtk-doc/html/libsecret-1/migrating.html
/usr/share/gtk-doc/html/libsecret-1/py-examples.html
/usr/share/gtk-doc/html/libsecret-1/py-lookup-example.html
/usr/share/gtk-doc/html/libsecret-1/py-remove-example.html
/usr/share/gtk-doc/html/libsecret-1/py-store-example.html
/usr/share/gtk-doc/html/libsecret-1/right-insensitive.png
/usr/share/gtk-doc/html/libsecret-1/right.png
/usr/share/gtk-doc/html/libsecret-1/simple.html
/usr/share/gtk-doc/html/libsecret-1/style.css
/usr/share/gtk-doc/html/libsecret-1/up-insensitive.png
/usr/share/gtk-doc/html/libsecret-1/up.png
/usr/share/gtk-doc/html/libsecret-1/using-c.html
/usr/share/gtk-doc/html/libsecret-1/using-js.html
/usr/share/gtk-doc/html/libsecret-1/using-python.html
/usr/share/gtk-doc/html/libsecret-1/using-vala.html
/usr/share/gtk-doc/html/libsecret-1/using.html
/usr/share/gtk-doc/html/libsecret-1/vala-examples.html
/usr/share/gtk-doc/html/libsecret-1/vala-lookup-example.html
/usr/share/gtk-doc/html/libsecret-1/vala-remove-example.html
/usr/share/gtk-doc/html/libsecret-1/vala-store-example.html
/usr/share/vala/vapi/libsecret-1.deps
/usr/share/vala/vapi/libsecret-1.vapi

Changelog

2016-04-17 - Matthias Klose <doko@ubuntu.com>
libsecret (0.18.4-1ubuntu2) xenial; urgency=medium
* Don't run the python and vala tests on s390x, hanging. In 0.18.3,
these all failed to run due to dbus/mock failures.
2016-02-10 - Sebastien Bacher <seb128@ubuntu.com>
libsecret (0.18.4-1ubuntu1) xenial; urgency=medium
* debian/control.in,
debian/patches/dont_use_gjs.patch:
- don't build-depends on gjs it's in universe
2016-01-25 - Michael Biebl <biebl@debian.org>
libsecret (0.18.4-1) unstable; urgency=medium
* New upstream release.
* Run test suite during build
- Add Build-Depends on dbus on gjs.
- Use dbus-run-session to run the test suite as some of the tests require
a D-Bus session.
- Unset LD_PRELOAD when running the test suite as most tests fail when run
under fakeroot.
2015-08-06 - Michael Biebl <biebl@debian.org>
libsecret (0.18.3-1) unstable; urgency=medium
* New upstream release.
2015-05-20 - Michael Biebl <biebl@debian.org>
libsecret (0.18.2-1) unstable; urgency=medium
[ Laurent Bigonville ]
* debian/control.in: Bump gtk-doc-tools build-dep to >= 1.9
[ Iain Lane ]
* Lower Breaks version to seahorse (<< 3.10), as the API port happened in
this version.
[ Michael Biebl ]
* New upstream release.
* Install typelib files into multiarch paths.
* Mark gir and dev packages as Multi-Arch: same.
* Update Homepage: URL.
* Bump Standards-Version to 3.9.6. No further changes.
* Fix invalid short name for BSD license in debian/copyright.
2014-03-23 - Andreas Henriksson <andreas@fatal.se>
libsecret (0.18-1) unstable; urgency=low
[ Jeremy Bicha ]
* debian/rules:
- Build with --disable-silent-rules for a useful build log
* Update homepage
[ Michael Biebl ]
* New upstream release (0.16).
* Refresh patches.
[ Jackson Doak ]
* debian/control:
- Improve description of libsecret-tools. Closes: #711475
[ Andreas Henriksson ]
* New upstream release (0.18)
* Bump glib build-dependency to >= 2.38.0 according to configure.ac
* Drop debian/patches, both patches obsolete.
- debian/patches/dont_run_gjs_tests.patch
- debian/patches/introspection-dir.patch
* Bump Standards-Version to 3.9.5
* Update debian/libsecret-1-0.symbols
- Missing secret_service_new* symbols...
- See https://git.gnome.org/browse/libsecret/commit/?id=1758194f26a41
- "The _new() suffix confuses vala and gobject introspection [...]
This is an API/API break, but its to the portion of the library
marked as unstable. [...]"
- Also adds several new symbols
* Add "Breaks: seahorse (<< 3.12)" to libsecret-1-0 to handle above.
* Install Secret g-i typelib file from multiarch path.
* debian/rules: quote the wildcard argument of find to avoid premature exp.
2013-05-24 - Michael Biebl <biebl@debian.org>
libsecret (0.15-2) unstable; urgency=low
* Upload to unstable.
* Don't hard-code dpkg in Pre-Depends but use ${misc:Pre-Depends} instead.
* Add Vcs-* fields.
* Drop alternative Build-Depends on valac-0.18. No longer required since
valac is now recent enough.
* Bump Standards-Version to 3.9.4. No further changes.
2013-03-24 - Andreas Henriksson <andreas@fatal.se>
libsecret (0.15-1) experimental; urgency=low
* New upstream release.
2013-03-16 - Andreas Henriksson <andreas@fatal.se>
libsecret (0.14-1) experimental; urgency=low
[ Rico Tzschichholz ]
* debian/control:
- Add multiarch annotations and pre-depends
[ Andreas Henriksson ]
* New upstream release.
* Update debian/libsecret-1-0.symbols: added SECMEM_pool_data_v1_0@Base 0.14
2012-11-02 - Sjoerd Simons <sjoerd@debian.org>
libsecret (0.11-1) experimental; urgency=low
* New upstrema release

See Also

Package Description
libsecret-common_0.18.4-1ubuntu2_all.deb Secret store (common files)
libselinux1-dev_2.4-3build2_amd64.deb SELinux development headers
libselinux1_2.4-3build2_amd64.deb SELinux runtime shared libraries
libsemanage-common_2.3-1build3_all.deb Common files for SELinux policy management libraries
libsemanage1-dev_2.3-1build3_amd64.deb Header files and libraries for SELinux policy manipulation
libsemanage1_2.3-1build3_amd64.deb SELinux policy management library
libsensors4-dev_3.4.0-2_amd64.deb lm-sensors development kit
libsensors4_3.4.0-2_amd64.deb library to read temperature/voltage/fan sensors
libsepol1-dev_2.4-2_amd64.deb SELinux binary policy manipulation library and development files
libsepol1_2.4-2_amd64.deb SELinux library for manipulating binary security policies
libserf-1-1_1.3.8-1_amd64.deb high-performance asynchronous HTTP client library
libserf-dev_1.3.8-1_amd64.deb high-performance asynchronous HTTP client library headers
libservlet3.1-java-doc_8.0.32-1ubuntu1_all.deb Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API documentation
libservlet3.1-java_8.0.32-1ubuntu1_all.deb Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API classes
libsgutils2-2_1.40-0ubuntu1_amd64.deb utilities for devices using the SCSI command set (shared libraries)
Advertisement
Advertisement